package com.template.services;

import com.template.model.pojo.SmartSubject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;
import com.template.model.vo.TimeGroupVo;

import java.util.List;

/**
 * <p>
 * 应用管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-03-07
 */
public interface SmartSubjectService extends IService<SmartSubject> {
    int insertSmartSubject(SmartSubject rns);

    int updateSmartSubject(SmartSubject rns);

    SmartSubject querySubjectByName(String name);

    PageUtils<SmartSubject> queryPageSmartSubjects(int currentPage, int pageCount, String name);

    int deleteSmartSubjectById(int id);

    SmartSubject getSmartById(int id);

    List<SmartSubject> queryAppletSubjects();

    List<SmartSubject> getSmartSubjectIds(List<String> ids);

    List<SmartSubject> getSmartSubjectId(List<Integer> ids);

    List<TimeGroupVo> queryGradeSubjects(String grade);
}
